settingsBtn.addEventListener("click", () => {

    mainView.innerHTML = `
    <div class="SETTINGS">
        <div class='ssidebar'>
            <div id="settings_logs" class="sside_line"><i class="fa-solid fa-newspaper"></i> Logs</div>
            <div id="settings_connexion" class="sside_line"><i class="fa-solid fa-tower-cell"></i> Connexions</div>
            <div id="settings_users" class="sside_line"><i class="fa-solid fa-people-group"></i> Utilisateurs</div>
        </div>
        <div id="settings_content" class='SETTINGS_content'>
            <div class=""><i class="fa fa-search"></i> Logs</div>
        </div>  
    </div>
    `

    const settings_logs = document.getElementById("settings_logs")
    const settings_connexion = document.getElementById("settings_connexion")
    const settings_users = document.getElementById("settings_users")
    const settings_content = document.getElementById("settings_content")

    loadLogs()

    settings_logs.addEventListener("click", () => {
        loadLogs()
    })

    settings_connexion.addEventListener("click", () => {
        loadConnexion()
    })

    settings_users.addEventListener("click", () => {
        loadUsers()
    })

    settings_logs.style.color = "white"

    function loadLogs() {
        settings_content.innerHTML = `
            <select id="logs_selection">
                <option>Test</option>
                <option>Test</option>
                <option>Test</option>
            </select>
            </div>
            <div id="logs_content" class="logs_content">
        

            </div>

        `

        const logs_selection = document.getElementById("logs_selection")
        const logs_content = document.getElementById("logs_content")

        const logs_data = get("LOGS")

        logs_data.then(data => {

            
            var optionToPush = new Array()
            for(var log of data) {
                optionToPush.push("<option>" + log.name + "</option>")
            }

            logs_selection.innerHTML = optionToPush.reverse().join("")

            for(var log of data) {

                if(logs_selection.value == log.name) {

                    var logToPush = new Array()

        

                        for(var line of log.value.split("\n")) {

                            line.toString()
                     
                            
                            line = line.replace("[INFO]", "<span style='color: #41f2ff !important;'>[INFO]</span>")
                                        .replace("[ERROR]", "<span style='color: #ff3232;'>[ERROR]</span>")
                                        .replace("[WARN]", "<span style='color: #ffea00;'>[WARN]</span>")
                                        .replace("[FATAL]", "<span style='color: red;'>[FATAL]</span>")
                                        .replace("[STEP]", "<span style='color: #ff6bf5;'>[STEP]</span>");

                            logToPush.push("<p class='log_line'>" +line+ "</p>")
                            
                        }

                 
                        
                    logs_content.innerHTML = logToPush.join("")
                } 

            }

            logs_selection.addEventListener("change", () => {
                
                for(var log of data) {

                    if(logs_selection.value == log.name) {

                        var logToPush = new Array()

                        for(var line of log.value.split("\n")) {                   
                            
                            line.toString()
                     
                            
                            line = line.replace("[INFO]", "<span style='color: #41f2ff !important;'>[INFO]</span>")
                                        .replace("[ERROR]", "<span style='color: #ff3232;'>[ERROR]</span>")
                                        .replace("[WARN]", "<span style='color: #ffea00;'>[WARN]</span>")
                                        .replace("[FATAL]", "<span style='color: red;'>[FATAL]</span>")
                                        .replace("[STEP]", "<span style='color: #ff6bf5;'>[STEP]</span>");

                            

                            logToPush.push("<p class='log_line'>" + line + "</p>")
                            
                        }

                 
                        
                        logs_content.innerHTML = logToPush.join("")
                    }

                }

            })
            
        })

    }

    function loadConnexion() {
        settings_content.innerHTML = `
            <p>Connexions</p>
        `

    }

    function loadUsers() {
        settings_content.innerHTML = `
            <p>Users</p>
        `

    }


    const buttons = document.querySelectorAll(".sside_line");

    buttons.forEach(button => {
        button.addEventListener("click", function () {
            buttons.forEach(btn => {
                if (btn === button) {
                    btn.style.color = "white";
                } else {
                    btn.style.color = "";
                }
            });
        });
    });
})


